summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Fabio Sangiovanni2013-06-03 06:31:49 +0200
committer Robby Workman2013-06-04 07:11:27 +0200
commitddbd1b525955be986151fcbf10ba342ca4fba12c (patch)
tree5717a1ee796ae9a8083bede05d640ab4feaf61b3 /system
parent7e6d55c4b3a4b22aeec97875e3ee1390d27e57db (diff)
downloadslackbuilds-ddbd1b525955be986151fcbf10ba342ca4fba12c.tar.gz
system/i8kutils: Added (utilities for Dell Inspiron and Latitude laptops)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/i8kutils/README19
-rw-r--r--system/i8kutils/doinst.sh13
-rw-r--r--system/i8kutils/i8kutils.SlackBuild115
-rw-r--r--system/i8kutils/i8kutils.info10
-rw-r--r--system/i8kutils/rc.i8kmon68
-rw-r--r--system/i8kutils/slack-desc19
6 files changed, 244 insertions, 0 deletions
diff --git a/system/i8kutils/README b/system/i8kutils/README
new file mode 100644
index 0000000000..12cf13bd97
--- /dev/null
+++ b/system/i8kutils/README
@@ -0,0 +1,19 @@
+This is a collection of utilities to control Dell Inspiron and
+Latitude laptops. It includes programs to turn the fan on and off,
+to read fan status, CPU temperature, BIOS version and to handle the
+volume buttons and Fn-keys. The package includes also a small Tk
+applet, designed to be swallowed in the GNOME panel, which monitors
+the CPU temperature and controls automatically the fans accordingly
+to user defined thresholds.
+
+Make sure the i8k module is loaded before using i8kutils.
+
+- i8kutils tarball includes a diagnostic utility named smm, claimed
+to be dangerous by the developer (see comments at the top of smm
+source file, smm.c). Compilation of smm is therefore disabled by
+default; set the variable SMM=yes to enable it, e.g.
+ # SMM=yes ./i8kutils.SlackBuild
+
+Mind also that compilation of smm should fail on Slackware64, but
+the SlackBuild will try anyway. smm can damage your data and your
+hardware, so be careful and use it only if you know what you're doing.
diff --git a/system/i8kutils/doinst.sh b/system/i8kutils/doinst.sh
new file mode 100644
index 0000000000..44345888da
--- /dev/null
+++ b/system/i8kutils/doinst.sh
@@ -0,0 +1,13 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+config etc/i8kmon.conf.new
diff --git a/system/i8kutils/i8kutils.SlackBuild b/system/i8kutils/i8kutils.SlackBuild
new file mode 100644
index 0000000000..86c661f966
--- /dev/null
+++ b/system/i8kutils/i8kutils.SlackBuild
@@ -0,0 +1,115 @@
+#!/bin/sh
+
+# Slackware build script for i8kutils
+
+# Copyright 2013 Fabio Sangiovanni <sjh+sbo@sanjioh.org>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=i8kutils
+VERSION=${VERSION:-1.33}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/${PRGNAM}_${VERSION}.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Take care of creating required directory tree into $PKG, since Makefile doesn't
+mkdir -p $PKG/{etc,usr/{bin,man/man1}}
+
+# Override Makefile CFLAGS with ours
+# Override Makefile PREFIX to avoid redundant '/' in paths
+make CFLAGS="$SLKCFLAGS"
+make install DESTDIR=$PKG PREFIX=usr
+
+# Optional build of smm diagnostic utility - DANGEROUS!
+# Compilation should fail on Slackware64
+SMM=${SMM:-no}
+if [ "$SMM" == 'yes' ]; then
+ mkdir -p $PKG/usr/sbin
+ make smm CFLAGS="$SLKCFLAGS"
+ make install-smm DESTDIR=$PKG PREFIX=usr
+fi
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Use sample config, without overwriting
+cp -a i8kmon.conf $PKG/etc/i8kmon.conf.new
+
+# Copy man pages
+cp -a i8kbuttons.1 i8kctl.1 i8kmon.1 $PKG/usr/man/man1
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING README.i8kutils TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# Decomment the following line if you want extra documentation to be included
+#cp -a debian examples patches redhat $PKG/usr/doc/$PRGNAM-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/i8kutils/i8kutils.info b/system/i8kutils/i8kutils.info
new file mode 100644
index 0000000000..8fe9341c5f
--- /dev/null
+++ b/system/i8kutils/i8kutils.info
@@ -0,0 +1,10 @@
+PRGNAM="i8kutils"
+VERSION="1.33"
+HOMEPAGE="http://packages.debian.org/i8kutils"
+DOWNLOAD="http://ftp.de.debian.org/debian/pool/main/i/i8kutils/i8kutils_1.33.tar.gz"
+MD5SUM="1ab077b301dbb0f4be8ef52eb3b97628"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Fabio Sangiovanni"
+EMAIL="sjh+sbo@sanjioh.org"
diff --git a/system/i8kutils/rc.i8kmon b/system/i8kutils/rc.i8kmon
new file mode 100644
index 0000000000..1d88d42ccb
--- /dev/null
+++ b/system/i8kutils/rc.i8kmon
@@ -0,0 +1,68 @@
+#!/bin/sh
+# Start/stop/restart i8kmon.
+
+I8KMON_PARAMS="--auto --daemon"
+
+# Start i8kmon
+i8kmon_start() {
+ if [ -x /usr/bin/i8kmon -a -f /proc/i8k ]; then
+ echo "Starting i8kmon daemon: /usr/bin/i8kmon $I8KMON_PARAMS &"
+ /usr/bin/i8kmon $I8KMON_PARAMS &
+ fi
+}
+
+# Stop i8kmon
+i8kmon_stop() {
+ echo "Stopping i8kmon daemon"
+ pkill -f "tclsh /usr/bin/i8kmon -- $I8KMON_PARAMS"
+}
+
+# Check status
+i8kmon_status() {
+ pgrep -f "tclsh /usr/bin/i8kmon -- $I8KMON_PARAMS" > /dev/null
+ local I8KMON_STATUS=$?
+ if [ $I8KMON_STATUS -ne 0 ]; then
+ return 1
+ fi
+}
+
+# Restart i8kmon
+i8kmon_restart() {
+ $0 stop
+ sleep 1
+ $0 start
+}
+
+case "$1" in
+'start')
+ if ( ! i8kmon_status ); then
+ i8kmon_start
+ else
+ echo "i8kmon is already running"
+ fi
+ ;;
+
+'stop')
+ if ( i8kmon_status ); then
+ i8kmon_stop
+ else
+ echo "i8kmon is already stopped"
+ fi
+ ;;
+
+'status')
+ if ( i8kmon_status ); then
+ echo "i8kmon is currently running"
+ else
+ echo "i8kmon is NOT running"
+ fi
+ ;;
+
+'restart')
+ i8kmon_restart
+ ;;
+
+*)
+ echo "Usage: $0 start|stop|status|restart"
+ ;;
+esac
diff --git a/system/i8kutils/slack-desc b/system/i8kutils/slack-desc
new file mode 100644
index 0000000000..8d658d1aab
--- /dev/null
+++ b/system/i8kutils/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+i8kutils: i8kutils (utilities for Dell Inspiron and Latitude laptops)
+i8kutils:
+i8kutils: This is a collection of utilities to control Dell Inspiron and
+i8kutils: Latitude laptops. It includes programs to turn the fan on and off,
+i8kutils: to read fan status, CPU temperature, BIOS version and to handle the
+i8kutils: volume buttons and Fn-keys. The package includes also a small Tk
+i8kutils: applet, designed to be swallowed in the GNOME panel, which monitors
+i8kutils: the CPU temperature and controls automatically the fans accordingly
+i8kutils: to user defined thresholds.
+i8kutils:
+i8kutils: